using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp4
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());

            int[] a = new int[n];
            int[] b = new int[n];

            int upper = 2 * n;
            int lower = 1;
            for (int i = 0; i < n; i++)
            {
                if (i % 2 == 0)
                {
                    a[i] = upper;
                    upper--;
                } else
                {
                    a[i] = lower;
                    lower++;
                }
            }

            for (int i = 0; i < n; i++)
            {
                if (i % 2 == 0)
                {
                    b[i] = upper;
                    upper--;
                }
                else
                {
                    b[i] = lower;
                    lower++;
                }
            }

            Console.WriteLine();

            foreach (int i in a)
            {
                Console.Write(i + " ");
            }
               
            Console.WriteLine();

            foreach (int i in b)
            {
                Console.Write(i + " ");
            }
        }
    }
}